Bug 7261 - System Preference to select the first day of week (Sunday or Monday) to use in the calendar (OPAC and Intranet)
Summary: System Preference to select the first day of week (Sunday or Monday) to use i...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P4 enhancement (vote)
Assignee: Owen Leonard
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on: 9166
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-24 16:50 UTC by Juan Romay Sieira
Modified: 2013-12-05 20:06 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Patch (7.76 KB, patch)
2011-11-24 16:50 UTC, Juan Romay Sieira
Details | Diff | Splinter Review
Signed-off patch (7.83 KB, patch)
2011-12-06 16:03 UTC, Owen Leonard
Details | Diff | Splinter Review
Patch to apply in current master (7.84 KB, patch)
2012-02-09 18:15 UTC, Juan Romay Sieira
Details | Diff | Splinter Review
Bug 7261 System Preference to select the first day of week (8.67 KB, patch)
2012-03-03 07:55 UTC, Chris Cormack
Details | Diff | Splinter Review
Followup to make tests consistent (1.28 KB, patch)
2012-03-12 14:29 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Juan Romay Sieira 2011-11-24 16:50:06 UTC Comment hidden (obsolete)
Comment 1 Owen Leonard 2011-12-06 16:03:11 UTC Comment hidden (obsolete)
Comment 2 Marcel de Rooy 2012-01-04 15:17:07 UTC
Just a few questions/remarks before finishing QA:

1 Would it not be better to move this pref to Internationalization tab instead of Administration?
2 I would recommend to make the two tests on the preference in Auth.pm identical. Currently, it works, but things can change.
3 Is opac-reserve template the only one needing the firstDay parameter on the opac side? I notice that at the staff side the same change is in a common calendar-setup file. 

For the rest, things look very good to me.
Could you clarify or send a follow up for the points above? Thanks.
Comment 3 Owen Leonard 2012-01-04 15:41:34 UTC
> 3 Is opac-reserve template the only one needing the firstDay parameter on the
> opac side? I notice that at the staff side the same change is in a common
> calendar-setup file. 

I noticed the same thing, and submitted a follow-up to Bug 2307.
Comment 4 Marcel de Rooy 2012-01-13 15:16:47 UTC
Changing status to reflect pending state. See comment 2.
Comment 5 Juan Romay Sieira 2012-02-09 18:15:31 UTC Comment hidden (obsolete)
Comment 6 Juan Romay Sieira 2012-02-09 18:19:41 UTC
(In reply to comment #2)
> Just a few questions/remarks before finishing QA:
> 
> 1 Would it not be better to move this pref to Internationalization tab instead
> of Administration?
I changed it to the tab you mentioned above.

> 2 I would recommend to make the two tests on the preference in Auth.pm
> identical. Currently, it works, but things can change.
> 3 Is opac-reserve template the only one needing the firstDay parameter on the
> opac side? I notice that at the staff side the same change is in a common
> calendar-setup file. 
I did a search over the opac templates and I only found it in opac-reserve.tt

> 
> For the rest, things look very good to me.
> Could you clarify or send a follow up for the points above? Thanks.
Comment 7 Chris Cormack 2012-03-03 07:55:52 UTC
Created attachment 7999 [details] [review]
Bug 7261 System Preference to select the first day of week

Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>
Comment 8 Marcel de Rooy 2012-03-12 14:29:32 UTC
Created attachment 8183 [details] [review]
Followup to make tests consistent
Comment 9 Marcel de Rooy 2012-03-12 14:30:52 UTC
Marking it as Passed QA, while adding a followup to make the two tests in Auth.pm the same.
Trivial merge conflict in sysprefs.sql
Comment 10 Paul Poulain 2012-03-14 13:19:16 UTC
I'm not sure this syspref won't be deprecated by the datepicker change to switch to a jquery datepicker, but until then... patch pushed !
Comment 11 Owen Leonard 2012-03-14 13:26:26 UTC
In fact we may be able to tie the configuration of the datepicker to the current localization settings. There are a lot of options built in:

http://jqueryui.com/demos/datepicker/#localization
Comment 12 Nicole C. Engard 2012-03-14 19:56:25 UTC
This says it was pushed to master, but changing this preference's value in master doesn't seem to do anything for me ....
Comment 13 Owen Leonard 2012-03-14 20:02:18 UTC
Nicole, try clearing your browser cache. The patch includes changes to js files which might need to be refreshed.
Comment 14 Nicole C. Engard 2012-03-14 20:25:45 UTC
Bingo! and good tip to include in the manual.

Nicole
Comment 15 Owen Leonard 2012-11-27 13:45:05 UTC
Working in the staff client, not on opac-reserve.pl.
Comment 16 Owen Leonard 2013-05-15 14:31:19 UTC
Looks like this is working in master.